Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003643TestLinkTest Executepublic2010-07-30 19:282011-07-02 13:48
ReporterHobbit159 
Assigned ToEloff 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWin XPOS VersionPro
Product Version1.9 Beta 5 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0003643: Single Test case in a test suit shows as not run on exeicustion screen
DescriptionI have a one test case in a test suite that has several folder level in above it. When I run that test case the on the Test execution screen the tree menu on the left updates correctly and indicates that test case has ran. However the right hand side of the screen which show the test case show not run if , 'Show only last Execution' is selected at any any suite level until you click on the test case then it shows correctly.

If the , show complete execution history' ,is selected then it does not even show as not run it is just blank until you reach the test case level.

If you have more than one test case in a suite then it seems to work as expected.






Steps To Reproduce1. Create a test suite with several levels in the tree. As exmaple Suite1 then under that Suite1.1 and under that Suite1.2 and then under that Suite1.3
2. Now place one test case at the lowest level of this tree.
3. Add this suite to a test plan
4. Select the Test Execution option on the top menu for the project and plan you just added this suite to.
5. Now select one of the suite levels and run the test case , make it as passed.
6. Now let the tree refresh or refresh it as needed.
7. Now select one of the suite levels again and notice the tree indicator shows the test case as passed.
8. Now look at the right side of the screen at the sections for Execution history or last execution depending on what is selected.
Additional InformationI tried this same setup on 1.8.5 and did not see the problem.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser3.6.8
PHP Version5.2.9
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
child of 0004337closedfman Availables Fixes for 1.9.2 (Prague) 

-  Notes
(0014213)
Eloff (reporter)
2011-03-22 19:30

Thanks for your bug report. This behaviour will be changed in Testlink 1.9.3


http://gitorious.org/testlink-ga/testlink-code/commit/22e714cace55e2f9e9dfc599fa46d7e4f27479a4 [^]
(0014215)
fman (administrator)
2011-03-22 22:15

1. please explain what does means:
>> This behaviour will be changed in Testlink 1.9.3
(0015414)
fman (administrator)
2011-07-02 13:48

1.9.3 released

- Issue History
Date Modified Username Field Change
2010-07-30 19:28 Hobbit159 New Issue
2010-11-06 15:57 fman Assigned To => Eloff
2010-11-06 15:57 fman Status new => assigned
2011-03-22 19:30 Eloff Note Added: 0014213
2011-03-22 19:30 Eloff Status assigned => resolved
2011-03-22 19:30 Eloff Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-03-22 19:30 Eloff Resolution open => fixed
2011-03-22 22:15 fman Note Added: 0014215
2011-03-22 22:34 Eloff Relationship added child of 0004337
2011-07-02 13:48 fman Note Added: 0015414
2011-07-02 13:48 fman Status resolved => closed
2011-08-20 14:31 fman Relationship added related to 0004714



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker